using System;
using System.Collections.Generic;
using System.Text;
using DxLibDLL;


namespace HH
{
    class PlayerBulletA : CBasic
    {
        public PlayerBulletA(CBasic p)
        {
            this.position.x = p.position.x;
            this.position.y = p.position.y;
            this.graphicsHandle = DX.LoadGraph("PlayerBulletA.png");
            this.destroySoundHandle = DX.LoadSoundMem("PlayerBulletDestroy_bosu18_a.wav");

            this.velocity.x = 0;
            this.velocity.y = -8;

            this.kind = CType.PlayerBullet;

            this.hitboxDiff = new Box(new Vector(-5, -5), new Vector(5, 5));
        }

        public override void update()
        {
            base.update();
        }
    }
}
